# fn() alignmentEvaluation
Given a multiple sequence alignment, this function calculates different kinds of alignment statistics.

Defined in | <seqan/graph_msa.h>
Signature | `TScoreVal alignmentEvaluation(graph, scoringScheme, gapExCount, gapCount, pairCount, numPairs, len);`

## Parameters

`graph` | The AlignmentGraph object to compute statistics for.
`scoringScheme` | The Score object to use.
`gapExCount` | The number of gap extensions.
`gapCount` | The number of gaps.
`pairCount` | The number of aligned pairs.
`numPairs` | Counter for each pair. A String resized to size `n*n`, where `n` is the ValueSize of the alphabet of the aligned sequences.
`len` | Alignment length.

## Return Values

`TScoreVal` | The score of the alignment (Metafunction: Value).

## Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @fn alignmentEvaluation
     *
     * @headerfile <seqan/graph_msa.h>
     *
     * @brief Given a multiple sequence alignment, this function calculates
     *        different kinds of alignment statistics.
     *
     * @signature TScoreVal alignmentEvaluation(graph, scoringScheme, gapExCount,
     *            gapCount, pairCount, numPairs, len);
     *
     * @param[in] graph The @link AlignmentGraph @endlink object to compute
     *                  statistics for.
     * @param[in] scoringScheme The @link Score @endlink object to use.
     * @param[out] gapExCount The number of gap extensions.
     * @param[out] gapCount The number of gaps.
     * @param[out] pairCount The number of aligned pairs.
     * @param[out] numPairs Counter for each pair. A @link String @endlink resized
     *                      to size <tt>n*n</tt>, where <tt>n</tt> is the @link
     *                      FiniteOrderedAlphabetConcept#ValueSize @endlink of the
     *                      alphabet of the aligned sequences.
     * @param[out] len Alignment length.
     *
     * @return TScoreVal The score of the alignment (Metafunction: @link Score#Value
     *                   @endlink).
     */